Initial GIT commit
[libg2hec.git] / .svn / text-base / Makefile.in.svn-base
blob1c6d82dd59e4c4a77d8bef95fefd6493beef6d4d
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkglibdir = $(libdir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 noinst_PROGRAMS = examples/dh$(EXEEXT) examples/elgamal_enc$(EXEEXT) \
34         examples/elgamal_sig$(EXEEXT)
35 subdir = .
36 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
37         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
38         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
39         depcomp install-sh missing
40 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
42 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
43         $(ACLOCAL_M4)
44 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
45  configure.lineno config.status.lineno
46 mkinstalldirs = $(install_sh) -d
47 CONFIG_HEADER = config.h
48 CONFIG_CLEAN_FILES =
49 PROGRAMS = $(noinst_PROGRAMS)
50 am_examples_dh_OBJECTS = examples_dh-dh.$(OBJEXT)
51 examples_dh_OBJECTS = $(am_examples_dh_OBJECTS)
52 examples_dh_DEPENDENCIES = src/libg2hec.a
53 examples_dh_LINK = $(CXXLD) $(examples_dh_CXXFLAGS) $(CXXFLAGS) \
54         $(AM_LDFLAGS) $(LDFLAGS) -o $@
55 am__dirstamp = $(am__leading_dot)dirstamp
56 am_examples_elgamal_enc_OBJECTS =  \
57         examples_elgamal_enc-elgamal_enc.$(OBJEXT)
58 examples_elgamal_enc_OBJECTS = $(am_examples_elgamal_enc_OBJECTS)
59 examples_elgamal_enc_DEPENDENCIES = src/libg2hec.a
60 examples_elgamal_enc_LINK = $(CXXLD) $(examples_elgamal_enc_CXXFLAGS) \
61         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
62 am_examples_elgamal_sig_OBJECTS =  \
63         examples_elgamal_sig-elgamal_sig.$(OBJEXT)
64 examples_elgamal_sig_OBJECTS = $(am_examples_elgamal_sig_OBJECTS)
65 examples_elgamal_sig_DEPENDENCIES = src/libg2hec.a
66 examples_elgamal_sig_LINK = $(CXXLD) $(examples_elgamal_sig_CXXFLAGS) \
67         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
68 DEFAULT_INCLUDES = -I.@am__isrc@
69 depcomp = $(SHELL) $(top_srcdir)/depcomp
70 am__depfiles_maybe = depfiles
71 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
72         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
73 CXXLD = $(CXX)
74 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
75         -o $@
76 SOURCES = $(examples_dh_SOURCES) $(examples_elgamal_enc_SOURCES) \
77         $(examples_elgamal_sig_SOURCES)
78 DIST_SOURCES = $(examples_dh_SOURCES) $(examples_elgamal_enc_SOURCES) \
79         $(examples_elgamal_sig_SOURCES)
80 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
81         html-recursive info-recursive install-data-recursive \
82         install-dvi-recursive install-exec-recursive \
83         install-html-recursive install-info-recursive \
84         install-pdf-recursive install-ps-recursive install-recursive \
85         installcheck-recursive installdirs-recursive pdf-recursive \
86         ps-recursive uninstall-recursive
87 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
88   distclean-recursive maintainer-clean-recursive
89 ETAGS = etags
90 CTAGS = ctags
91 DIST_SUBDIRS = $(SUBDIRS)
92 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
93 distdir = $(PACKAGE)-$(VERSION)
94 top_distdir = $(distdir)
95 am__remove_distdir = \
96   { test ! -d $(distdir) \
97     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
98          && rm -fr $(distdir); }; }
99 DIST_ARCHIVES = $(distdir).tar.gz
100 GZIP_ENV = --best
101 distuninstallcheck_listfiles = find . -type f -print
102 distcleancheck_listfiles = find . -type f -print
103 ACLOCAL = @ACLOCAL@
104 AMTAR = @AMTAR@
105 AUTOCONF = @AUTOCONF@
106 AUTOHEADER = @AUTOHEADER@
107 AUTOMAKE = @AUTOMAKE@
108 AWK = @AWK@
109 CC = @CC@
110 CCDEPMODE = @CCDEPMODE@
111 CFLAGS = @CFLAGS@
112 CPPFLAGS = @CPPFLAGS@
113 CXX = @CXX@
114 CXXCPP = @CXXCPP@
115 CXXDEPMODE = @CXXDEPMODE@
116 CXXFLAGS = @CXXFLAGS@
117 CYGPATH_W = @CYGPATH_W@
118 DEFS = @DEFS@
119 DEPDIR = @DEPDIR@
120 ECHO_C = @ECHO_C@
121 ECHO_N = @ECHO_N@
122 ECHO_T = @ECHO_T@
123 EGREP = @EGREP@
124 EXEEXT = @EXEEXT@
125 GREP = @GREP@
126 INSTALL = @INSTALL@
127 INSTALL_DATA = @INSTALL_DATA@
128 INSTALL_PROGRAM = @INSTALL_PROGRAM@
129 INSTALL_SCRIPT = @INSTALL_SCRIPT@
130 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
131 LDFLAGS = @LDFLAGS@
132 LIBOBJS = @LIBOBJS@
133 LIBS = @LIBS@
134 LTLIBOBJS = @LTLIBOBJS@
135 MAKEINFO = @MAKEINFO@
136 MKDIR_P = @MKDIR_P@
137 OBJEXT = @OBJEXT@
138 PACKAGE = @PACKAGE@
139 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
140 PACKAGE_NAME = @PACKAGE_NAME@
141 PACKAGE_STRING = @PACKAGE_STRING@
142 PACKAGE_TARNAME = @PACKAGE_TARNAME@
143 PACKAGE_VERSION = @PACKAGE_VERSION@
144 PATH_SEPARATOR = @PATH_SEPARATOR@
145 RANLIB = @RANLIB@
146 SET_MAKE = @SET_MAKE@
147 SHELL = @SHELL@
148 STRIP = @STRIP@
149 VERSION = @VERSION@
150 abs_builddir = @abs_builddir@
151 abs_srcdir = @abs_srcdir@
152 abs_top_builddir = @abs_top_builddir@
153 abs_top_srcdir = @abs_top_srcdir@
154 ac_ct_CC = @ac_ct_CC@
155 ac_ct_CXX = @ac_ct_CXX@
156 am__include = @am__include@
157 am__leading_dot = @am__leading_dot@
158 am__quote = @am__quote@
159 am__tar = @am__tar@
160 am__untar = @am__untar@
161 bindir = @bindir@
162 build_alias = @build_alias@
163 builddir = @builddir@
164 datadir = @datadir@
165 datarootdir = @datarootdir@
166 docdir = @docdir@
167 dvidir = @dvidir@
168 exec_prefix = @exec_prefix@
169 host_alias = @host_alias@
170 htmldir = @htmldir@
171 includedir = @includedir@
172 infodir = @infodir@
173 install_sh = @install_sh@
174 libdir = @libdir@
175 libexecdir = @libexecdir@
176 localedir = @localedir@
177 localstatedir = @localstatedir@
178 mandir = @mandir@
179 mkdir_p = @mkdir_p@
180 oldincludedir = @oldincludedir@
181 pdfdir = @pdfdir@
182 prefix = @prefix@
183 program_transform_name = @program_transform_name@
184 psdir = @psdir@
185 sbindir = @sbindir@
186 sharedstatedir = @sharedstatedir@
187 srcdir = @srcdir@
188 sysconfdir = @sysconfdir@
189 target_alias = @target_alias@
190 top_builddir = @top_builddir@
191 top_srcdir = @top_srcdir@
192 ACLOCAL_AMFLAGS = -I m4
193 SUBDIRS = src doc
194 examples_dh_CXXFLAGS = -Iinclude/
195 examples_dh_LDADD = src/libg2hec.a -lntl
196 examples_dh_SOURCES = examples/dh.C
197 examples_elgamal_enc_CXXFLAGS = -Iinclude/
198 examples_elgamal_enc_LDADD = src/libg2hec.a -lntl
199 examples_elgamal_enc_SOURCES = examples/elgamal_enc.C
200 examples_elgamal_sig_CXXFLAGS = -Iinclude/
201 examples_elgamal_sig_LDADD = src/libg2hec.a -lntl
202 examples_elgamal_sig_SOURCES = examples/elgamal_sig.C
203 all: config.h
204         $(MAKE) $(AM_MAKEFLAGS) all-recursive
206 .SUFFIXES:
207 .SUFFIXES: .C .o .obj
208 am--refresh:
209         @:
210 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
211         @for dep in $?; do \
212           case '$(am__configure_deps)' in \
213             *$$dep*) \
214               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
215               cd $(srcdir) && $(AUTOMAKE) --gnu  \
216                 && exit 0; \
217               exit 1;; \
218           esac; \
219         done; \
220         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
221         cd $(top_srcdir) && \
222           $(AUTOMAKE) --gnu  Makefile
223 .PRECIOUS: Makefile
224 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
225         @case '$?' in \
226           *config.status*) \
227             echo ' $(SHELL) ./config.status'; \
228             $(SHELL) ./config.status;; \
229           *) \
230             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
231             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
232         esac;
234 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
235         $(SHELL) ./config.status --recheck
237 $(top_srcdir)/configure:  $(am__configure_deps)
238         cd $(srcdir) && $(AUTOCONF)
239 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
240         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
242 config.h: stamp-h1
243         @if test ! -f $@; then \
244           rm -f stamp-h1; \
245           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
246         else :; fi
248 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
249         @rm -f stamp-h1
250         cd $(top_builddir) && $(SHELL) ./config.status config.h
251 $(srcdir)/config.h.in:  $(am__configure_deps) 
252         cd $(top_srcdir) && $(AUTOHEADER)
253         rm -f stamp-h1
254         touch $@
256 distclean-hdr:
257         -rm -f config.h stamp-h1
259 clean-noinstPROGRAMS:
260         -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
261 examples/$(am__dirstamp):
262         @$(MKDIR_P) examples
263         @: > examples/$(am__dirstamp)
264 examples/dh$(EXEEXT): $(examples_dh_OBJECTS) $(examples_dh_DEPENDENCIES) examples/$(am__dirstamp)
265         @rm -f examples/dh$(EXEEXT)
266         $(examples_dh_LINK) $(examples_dh_OBJECTS) $(examples_dh_LDADD) $(LIBS)
267 examples/elgamal_enc$(EXEEXT): $(examples_elgamal_enc_OBJECTS) $(examples_elgamal_enc_DEPENDENCIES) examples/$(am__dirstamp)
268         @rm -f examples/elgamal_enc$(EXEEXT)
269         $(examples_elgamal_enc_LINK) $(examples_elgamal_enc_OBJECTS) $(examples_elgamal_enc_LDADD) $(LIBS)
270 examples/elgamal_sig$(EXEEXT): $(examples_elgamal_sig_OBJECTS) $(examples_elgamal_sig_DEPENDENCIES) examples/$(am__dirstamp)
271         @rm -f examples/elgamal_sig$(EXEEXT)
272         $(examples_elgamal_sig_LINK) $(examples_elgamal_sig_OBJECTS) $(examples_elgamal_sig_LDADD) $(LIBS)
274 mostlyclean-compile:
275         -rm -f *.$(OBJEXT)
277 distclean-compile:
278         -rm -f *.tab.c
280 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/examples_dh-dh.Po@am__quote@
281 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/examples_elgamal_enc-elgamal_enc.Po@am__quote@
282 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/examples_elgamal_sig-elgamal_sig.Po@am__quote@
284 .C.o:
285 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
286 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
287 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
288 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
289 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
291 .C.obj:
292 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
293 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
294 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
295 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
296 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
298 examples_dh-dh.o: examples/dh.C
299 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_dh_CXXFLAGS) $(CXXFLAGS) -MT examples_dh-dh.o -MD -MP -MF $(DEPDIR)/examples_dh-dh.Tpo -c -o examples_dh-dh.o `test -f 'examples/dh.C' || echo '$(srcdir)/'`examples/dh.C
300 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/examples_dh-dh.Tpo $(DEPDIR)/examples_dh-dh.Po
301 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='examples/dh.C' object='examples_dh-dh.o' libtool=no @AMDEPBACKSLASH@
302 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
303 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_dh_CXXFLAGS) $(CXXFLAGS) -c -o examples_dh-dh.o `test -f 'examples/dh.C' || echo '$(srcdir)/'`examples/dh.C
305 examples_dh-dh.obj: examples/dh.C
306 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_dh_CXXFLAGS) $(CXXFLAGS) -MT examples_dh-dh.obj -MD -MP -MF $(DEPDIR)/examples_dh-dh.Tpo -c -o examples_dh-dh.obj `if test -f 'examples/dh.C'; then $(CYGPATH_W) 'examples/dh.C'; else $(CYGPATH_W) '$(srcdir)/examples/dh.C'; fi`
307 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/examples_dh-dh.Tpo $(DEPDIR)/examples_dh-dh.Po
308 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='examples/dh.C' object='examples_dh-dh.obj' libtool=no @AMDEPBACKSLASH@
309 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
310 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_dh_CXXFLAGS) $(CXXFLAGS) -c -o examples_dh-dh.obj `if test -f 'examples/dh.C'; then $(CYGPATH_W) 'examples/dh.C'; else $(CYGPATH_W) '$(srcdir)/examples/dh.C'; fi`
312 examples_elgamal_enc-elgamal_enc.o: examples/elgamal_enc.C
313 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_elgamal_enc_CXXFLAGS) $(CXXFLAGS) -MT examples_elgamal_enc-elgamal_enc.o -MD -MP -MF $(DEPDIR)/examples_elgamal_enc-elgamal_enc.Tpo -c -o examples_elgamal_enc-elgamal_enc.o `test -f 'examples/elgamal_enc.C' || echo '$(srcdir)/'`examples/elgamal_enc.C
314 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/examples_elgamal_enc-elgamal_enc.Tpo $(DEPDIR)/examples_elgamal_enc-elgamal_enc.Po
315 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='examples/elgamal_enc.C' object='examples_elgamal_enc-elgamal_enc.o' libtool=no @AMDEPBACKSLASH@
316 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
317 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_elgamal_enc_CXXFLAGS) $(CXXFLAGS) -c -o examples_elgamal_enc-elgamal_enc.o `test -f 'examples/elgamal_enc.C' || echo '$(srcdir)/'`examples/elgamal_enc.C
319 examples_elgamal_enc-elgamal_enc.obj: examples/elgamal_enc.C
320 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_elgamal_enc_CXXFLAGS) $(CXXFLAGS) -MT examples_elgamal_enc-elgamal_enc.obj -MD -MP -MF $(DEPDIR)/examples_elgamal_enc-elgamal_enc.Tpo -c -o examples_elgamal_enc-elgamal_enc.obj `if test -f 'examples/elgamal_enc.C'; then $(CYGPATH_W) 'examples/elgamal_enc.C'; else $(CYGPATH_W) '$(srcdir)/examples/elgamal_enc.C'; fi`
321 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/examples_elgamal_enc-elgamal_enc.Tpo $(DEPDIR)/examples_elgamal_enc-elgamal_enc.Po
322 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='examples/elgamal_enc.C' object='examples_elgamal_enc-elgamal_enc.obj' libtool=no @AMDEPBACKSLASH@
323 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
324 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_elgamal_enc_CXXFLAGS) $(CXXFLAGS) -c -o examples_elgamal_enc-elgamal_enc.obj `if test -f 'examples/elgamal_enc.C'; then $(CYGPATH_W) 'examples/elgamal_enc.C'; else $(CYGPATH_W) '$(srcdir)/examples/elgamal_enc.C'; fi`
326 examples_elgamal_sig-elgamal_sig.o: examples/elgamal_sig.C
327 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_elgamal_sig_CXXFLAGS) $(CXXFLAGS) -MT examples_elgamal_sig-elgamal_sig.o -MD -MP -MF $(DEPDIR)/examples_elgamal_sig-elgamal_sig.Tpo -c -o examples_elgamal_sig-elgamal_sig.o `test -f 'examples/elgamal_sig.C' || echo '$(srcdir)/'`examples/elgamal_sig.C
328 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/examples_elgamal_sig-elgamal_sig.Tpo $(DEPDIR)/examples_elgamal_sig-elgamal_sig.Po
329 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='examples/elgamal_sig.C' object='examples_elgamal_sig-elgamal_sig.o' libtool=no @AMDEPBACKSLASH@
330 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
331 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_elgamal_sig_CXXFLAGS) $(CXXFLAGS) -c -o examples_elgamal_sig-elgamal_sig.o `test -f 'examples/elgamal_sig.C' || echo '$(srcdir)/'`examples/elgamal_sig.C
333 examples_elgamal_sig-elgamal_sig.obj: examples/elgamal_sig.C
334 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_elgamal_sig_CXXFLAGS) $(CXXFLAGS) -MT examples_elgamal_sig-elgamal_sig.obj -MD -MP -MF $(DEPDIR)/examples_elgamal_sig-elgamal_sig.Tpo -c -o examples_elgamal_sig-elgamal_sig.obj `if test -f 'examples/elgamal_sig.C'; then $(CYGPATH_W) 'examples/elgamal_sig.C'; else $(CYGPATH_W) '$(srcdir)/examples/elgamal_sig.C'; fi`
335 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/examples_elgamal_sig-elgamal_sig.Tpo $(DEPDIR)/examples_elgamal_sig-elgamal_sig.Po
336 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='examples/elgamal_sig.C' object='examples_elgamal_sig-elgamal_sig.obj' libtool=no @AMDEPBACKSLASH@
337 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
338 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(examples_elgamal_sig_CXXFLAGS) $(CXXFLAGS) -c -o examples_elgamal_sig-elgamal_sig.obj `if test -f 'examples/elgamal_sig.C'; then $(CYGPATH_W) 'examples/elgamal_sig.C'; else $(CYGPATH_W) '$(srcdir)/examples/elgamal_sig.C'; fi`
340 # This directory's subdirectories are mostly independent; you can cd
341 # into them and run `make' without going through this Makefile.
342 # To change the values of `make' variables: instead of editing Makefiles,
343 # (1) if the variable is set in `config.status', edit `config.status'
344 #     (which will cause the Makefiles to be regenerated when you run `make');
345 # (2) otherwise, pass the desired values on the `make' command line.
346 $(RECURSIVE_TARGETS):
347         @failcom='exit 1'; \
348         for f in x $$MAKEFLAGS; do \
349           case $$f in \
350             *=* | --[!k]*);; \
351             *k*) failcom='fail=yes';; \
352           esac; \
353         done; \
354         dot_seen=no; \
355         target=`echo $@ | sed s/-recursive//`; \
356         list='$(SUBDIRS)'; for subdir in $$list; do \
357           echo "Making $$target in $$subdir"; \
358           if test "$$subdir" = "."; then \
359             dot_seen=yes; \
360             local_target="$$target-am"; \
361           else \
362             local_target="$$target"; \
363           fi; \
364           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
365           || eval $$failcom; \
366         done; \
367         if test "$$dot_seen" = "no"; then \
368           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
369         fi; test -z "$$fail"
371 $(RECURSIVE_CLEAN_TARGETS):
372         @failcom='exit 1'; \
373         for f in x $$MAKEFLAGS; do \
374           case $$f in \
375             *=* | --[!k]*);; \
376             *k*) failcom='fail=yes';; \
377           esac; \
378         done; \
379         dot_seen=no; \
380         case "$@" in \
381           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
382           *) list='$(SUBDIRS)' ;; \
383         esac; \
384         rev=''; for subdir in $$list; do \
385           if test "$$subdir" = "."; then :; else \
386             rev="$$subdir $$rev"; \
387           fi; \
388         done; \
389         rev="$$rev ."; \
390         target=`echo $@ | sed s/-recursive//`; \
391         for subdir in $$rev; do \
392           echo "Making $$target in $$subdir"; \
393           if test "$$subdir" = "."; then \
394             local_target="$$target-am"; \
395           else \
396             local_target="$$target"; \
397           fi; \
398           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
399           || eval $$failcom; \
400         done && test -z "$$fail"
401 tags-recursive:
402         list='$(SUBDIRS)'; for subdir in $$list; do \
403           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
404         done
405 ctags-recursive:
406         list='$(SUBDIRS)'; for subdir in $$list; do \
407           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
408         done
410 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
411         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
412         unique=`for i in $$list; do \
413             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
414           done | \
415           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
416               END { if (nonempty) { for (i in files) print i; }; }'`; \
417         mkid -fID $$unique
418 tags: TAGS
420 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
421                 $(TAGS_FILES) $(LISP)
422         tags=; \
423         here=`pwd`; \
424         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
425           include_option=--etags-include; \
426           empty_fix=.; \
427         else \
428           include_option=--include; \
429           empty_fix=; \
430         fi; \
431         list='$(SUBDIRS)'; for subdir in $$list; do \
432           if test "$$subdir" = .; then :; else \
433             test ! -f $$subdir/TAGS || \
434               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
435           fi; \
436         done; \
437         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
438         unique=`for i in $$list; do \
439             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
440           done | \
441           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
442               END { if (nonempty) { for (i in files) print i; }; }'`; \
443         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
444           test -n "$$unique" || unique=$$empty_fix; \
445           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
446             $$tags $$unique; \
447         fi
448 ctags: CTAGS
449 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
450                 $(TAGS_FILES) $(LISP)
451         tags=; \
452         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
453         unique=`for i in $$list; do \
454             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
455           done | \
456           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
457               END { if (nonempty) { for (i in files) print i; }; }'`; \
458         test -z "$(CTAGS_ARGS)$$tags$$unique" \
459           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
460              $$tags $$unique
462 GTAGS:
463         here=`$(am__cd) $(top_builddir) && pwd` \
464           && cd $(top_srcdir) \
465           && gtags -i $(GTAGS_ARGS) $$here
467 distclean-tags:
468         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
470 distdir: $(DISTFILES)
471         $(am__remove_distdir)
472         test -d $(distdir) || mkdir $(distdir)
473         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
474         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
475         list='$(DISTFILES)'; \
476           dist_files=`for file in $$list; do echo $$file; done | \
477           sed -e "s|^$$srcdirstrip/||;t" \
478               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
479         case $$dist_files in \
480           */*) $(MKDIR_P) `echo "$$dist_files" | \
481                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
482                            sort -u` ;; \
483         esac; \
484         for file in $$dist_files; do \
485           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
486           if test -d $$d/$$file; then \
487             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
488             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
489               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
490             fi; \
491             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
492           else \
493             test -f $(distdir)/$$file \
494             || cp -p $$d/$$file $(distdir)/$$file \
495             || exit 1; \
496           fi; \
497         done
498         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
499           if test "$$subdir" = .; then :; else \
500             test -d "$(distdir)/$$subdir" \
501             || $(MKDIR_P) "$(distdir)/$$subdir" \
502             || exit 1; \
503             distdir=`$(am__cd) $(distdir) && pwd`; \
504             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
505             (cd $$subdir && \
506               $(MAKE) $(AM_MAKEFLAGS) \
507                 top_distdir="$$top_distdir" \
508                 distdir="$$distdir/$$subdir" \
509                 am__remove_distdir=: \
510                 am__skip_length_check=: \
511                 distdir) \
512               || exit 1; \
513           fi; \
514         done
515         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
516           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
517           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
518           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
519         || chmod -R a+r $(distdir)
520 dist-gzip: distdir
521         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
522         $(am__remove_distdir)
524 dist-bzip2: distdir
525         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
526         $(am__remove_distdir)
528 dist-lzma: distdir
529         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
530         $(am__remove_distdir)
532 dist-tarZ: distdir
533         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
534         $(am__remove_distdir)
536 dist-shar: distdir
537         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
538         $(am__remove_distdir)
540 dist-zip: distdir
541         -rm -f $(distdir).zip
542         zip -rq $(distdir).zip $(distdir)
543         $(am__remove_distdir)
545 dist dist-all: distdir
546         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
547         $(am__remove_distdir)
549 # This target untars the dist file and tries a VPATH configuration.  Then
550 # it guarantees that the distribution is self-contained by making another
551 # tarfile.
552 distcheck: dist
553         case '$(DIST_ARCHIVES)' in \
554         *.tar.gz*) \
555           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
556         *.tar.bz2*) \
557           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
558         *.tar.lzma*) \
559           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
560         *.tar.Z*) \
561           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
562         *.shar.gz*) \
563           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
564         *.zip*) \
565           unzip $(distdir).zip ;;\
566         esac
567         chmod -R a-w $(distdir); chmod a+w $(distdir)
568         mkdir $(distdir)/_build
569         mkdir $(distdir)/_inst
570         chmod a-w $(distdir)
571         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
572           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
573           && cd $(distdir)/_build \
574           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
575             $(DISTCHECK_CONFIGURE_FLAGS) \
576           && $(MAKE) $(AM_MAKEFLAGS) \
577           && $(MAKE) $(AM_MAKEFLAGS) dvi \
578           && $(MAKE) $(AM_MAKEFLAGS) check \
579           && $(MAKE) $(AM_MAKEFLAGS) install \
580           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
581           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
582           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
583                 distuninstallcheck \
584           && chmod -R a-w "$$dc_install_base" \
585           && ({ \
586                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
587                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
588                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
589                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
590                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
591               } || { rm -rf "$$dc_destdir"; exit 1; }) \
592           && rm -rf "$$dc_destdir" \
593           && $(MAKE) $(AM_MAKEFLAGS) dist \
594           && rm -rf $(DIST_ARCHIVES) \
595           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
596         $(am__remove_distdir)
597         @(echo "$(distdir) archives ready for distribution: "; \
598           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
599           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
600 distuninstallcheck:
601         @cd $(distuninstallcheck_dir) \
602         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
603            || { echo "ERROR: files left after uninstall:" ; \
604                 if test -n "$(DESTDIR)"; then \
605                   echo "  (check DESTDIR support)"; \
606                 fi ; \
607                 $(distuninstallcheck_listfiles) ; \
608                 exit 1; } >&2
609 distcleancheck: distclean
610         @if test '$(srcdir)' = . ; then \
611           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
612           exit 1 ; \
613         fi
614         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
615           || { echo "ERROR: files left in build directory after distclean:" ; \
616                $(distcleancheck_listfiles) ; \
617                exit 1; } >&2
618 check-am: all-am
619 check: check-recursive
620 all-am: Makefile $(PROGRAMS) config.h
621 installdirs: installdirs-recursive
622 installdirs-am:
623 install: install-recursive
624 install-exec: install-exec-recursive
625 install-data: install-data-recursive
626 uninstall: uninstall-recursive
628 install-am: all-am
629         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
631 installcheck: installcheck-recursive
632 install-strip:
633         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
634           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
635           `test -z '$(STRIP)' || \
636             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
637 mostlyclean-generic:
639 clean-generic:
641 distclean-generic:
642         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
643         -rm -f examples/$(am__dirstamp)
645 maintainer-clean-generic:
646         @echo "This command is intended for maintainers to use"
647         @echo "it deletes files that may require special tools to rebuild."
648 clean: clean-recursive
650 clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am
652 distclean: distclean-recursive
653         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
654         -rm -rf ./$(DEPDIR)
655         -rm -f Makefile
656 distclean-am: clean-am distclean-compile distclean-generic \
657         distclean-hdr distclean-tags
659 dvi: dvi-recursive
661 dvi-am:
663 html: html-recursive
665 info: info-recursive
667 info-am:
669 install-data-am:
671 install-dvi: install-dvi-recursive
673 install-exec-am:
675 install-html: install-html-recursive
677 install-info: install-info-recursive
679 install-man:
681 install-pdf: install-pdf-recursive
683 install-ps: install-ps-recursive
685 installcheck-am:
687 maintainer-clean: maintainer-clean-recursive
688         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
689         -rm -rf $(top_srcdir)/autom4te.cache
690         -rm -rf ./$(DEPDIR)
691         -rm -f Makefile
692 maintainer-clean-am: distclean-am maintainer-clean-generic
694 mostlyclean: mostlyclean-recursive
696 mostlyclean-am: mostlyclean-compile mostlyclean-generic
698 pdf: pdf-recursive
700 pdf-am:
702 ps: ps-recursive
704 ps-am:
706 uninstall-am:
708 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
709         install-strip
711 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
712         all all-am am--refresh check check-am clean clean-generic \
713         clean-noinstPROGRAMS ctags ctags-recursive dist dist-all \
714         dist-bzip2 dist-gzip dist-lzma dist-shar dist-tarZ dist-zip \
715         distcheck distclean distclean-compile distclean-generic \
716         distclean-hdr distclean-tags distcleancheck distdir \
717         distuninstallcheck dvi dvi-am html html-am info info-am \
718         install install-am install-data install-data-am install-dvi \
719         install-dvi-am install-exec install-exec-am install-html \
720         install-html-am install-info install-info-am install-man \
721         install-pdf install-pdf-am install-ps install-ps-am \
722         install-strip installcheck installcheck-am installdirs \
723         installdirs-am maintainer-clean maintainer-clean-generic \
724         mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
725         ps ps-am tags tags-recursive uninstall uninstall-am
727 # Tell versions [3.59,3.63) of GNU make to not export all variables.
728 # Otherwise a system limit (for SysV at least) may be exceeded.
729 .NOEXPORT: